<?php

class QUESTIONS_CMP_FriendsFeed extends QUESTIONS_CMP_Feed
{
    public function findFeed( $startStamp, $count, $questionIds, $order )
    {
        if ( $order == QUESTIONS_CMP_Feed::ORDER_LATEST )
    {
        return $this->service->findFriendsFeed($startStamp, $this->userId, $count, $questionIds);
    }

        return $this->service->findOrderedFriendsFeed($startStamp, $this->userId, $count, $questionIds, array(
            QUESTIONS_BOL_FeedService::ACTIVITY_ANSWER,
            QUESTIONS_BOL_FeedService::ACTIVITY_POST
        ));
    }

    public function findActivity( $startStamp, $questionIds )
    {
        return $this->service->findFriendsActivity($startStamp, $this->userId, $questionIds);
    }

    public function findFeedCount( $startStamp )
    {
        return $this->service->findFriendsFeedCount($startStamp, $this->userId);
    }

    public function getBubbleActivityList( $activityList )
    {
        $out = array();
        foreach ( $activityList as $questionId => $activity )
        {
            foreach ( $activity as $item )
            {
                if ( $item->userId != $this->userId )
                {
                    $out[$questionId] = $item;

		    break;
                }
            }
        }

        return $out;
    }
}

