<?php

class QUESTIONS_CMP_MainFeed extends QUESTIONS_CMP_Feed
{
    public function findFeed( $startStamp, $count, $questionIds, $order )
    {
        if ( $order == QUESTIONS_CMP_Feed::ORDER_LATEST )
    {
        return $this->service->findMainFeed($startStamp, $count, $questionIds);
    }

        return $this->service->findOrderedMainFeed($startStamp, $count, $questionIds, array(
            QUESTIONS_BOL_FeedService::ACTIVITY_ANSWER,
            QUESTIONS_BOL_FeedService::ACTIVITY_POST
        ));
    }

    public function findActivity( $startStamp, $questionIds )
    {
        return $this->service->findMainActivity($startStamp, $questionIds);
    }

    public function findFeedCount( $startStamp )
    {
        return $this->service->findMainFeedCount($startStamp);
    }
}

