<?php
class QUESTIONS_CMP_MyFeed extends QUESTIONS_CMP_Feed
{
    public function findFeed( $startStamp, $count, $questionIds, $order )
    {
        if ( $order == QUESTIONS_CMP_Feed::ORDER_LATEST )
    {
        return $this->service->findMyFeed($startStamp, $this->userId, $count, $questionIds);
    }

        return $this->service->findOrderedMyFeed($startStamp, $this->userId, $count, $questionIds, array(
            QUESTIONS_BOL_FeedService::ACTIVITY_ANSWER,
            QUESTIONS_BOL_FeedService::ACTIVITY_POST
        ));
    }

    public function findActivity( $startStamp, $questionIds )
    {
        return $this->service->findMyActivity($startStamp, $this->userId, $questionIds);
    }

    public function findFeedCount( $startStamp )
    {
        return $this->service->findMyFeedCount($startStamp, $this->userId);
    }

    public function getBubbleActivityList( $activityList )
    {
        $out = array();
        foreach ( $activityList as $questionId => $activity )
        {
            foreach ( $activity as $item )
            {
                if ( $item->userId == $this->userId )
                {
                    $out[$questionId] = $item;

                    break;
                }
            }
        }

        return $out;
    }

    /*public function getBubbleActivityList( $activityList )
    {
        $prior = array(
            QUESTIONS_BOL_FeedService::ACTIVITY_CREATE => 0,
            QUESTIONS_BOL_FeedService::ACTIVITY_FOLLOW => 1,
            QUESTIONS_BOL_FeedService::ACTIVITY_ANSWER => 2,
            QUESTIONS_BOL_FeedService::ACTIVITY_POST => 2
        );

        $tmp = array();
        $out = array();
        foreach ( $activityList as $questionId => $activity )
        {
            foreach ( $activity as $item )
            {
                if ( $item->userId == $this->userId )
                {
                    $tmp[$questionId][$prior[$item->activityType]][] = $item;
                }
            }
        }

        foreach ( $tmp as $questionId => $item )
        {
            ksort($item);
            $priorActivities = reset($item);
            $out[$questionId] = reset($priorActivities);
        }

        return $out;
    }*/
}

