<?php
class QUESTIONSANSW_CMP_QuestionStatus extends OW_Component
{

    /**
     * Constructor.
     *
     * @param array $idList
     */
    public function __construct( $uniqId, $postCount, $voteCount, $followCount, $questionUrl = null )
    {
        parent::__construct();

        $configs = OW::getConfig()->getValues('questionsansw');

        $this->assign('allowPopups', !isset($configs['allow_popups']) || $configs['allow_popups']);

        $allowComments = OW::getConfig()->getValue('questionsansw', 'allow_comments');
        $allowFollows = OW::getConfig()->getValue('questionsansw', 'enable_follow');

        $this->assign('uniqId', $uniqId);
        $this->assign('questionUrl', $questionUrl);

        $this->assign('postCount', $allowComments ? $postCount : 0);
        $this->assign('voteCount', $voteCount);
        $this->assign('followCount', $allowFollows ? $followCount : 0);
    }

}