<?php
class QUESTIONSANSW_CMP_FeedList extends OW_Component
{
    private $feed = array(), $activityList = array(), $bubbleActivityList = array();

    public function __construct( $feed, $bubbleActivityList, $activityList )
    {
        parent::__construct();

        $this->bubbleActivityList = $bubbleActivityList;
        $this->activityList = $activityList;
        $this->feed = $feed;
    }

    public function onBeforeRender()
    {
        parent::onBeforeRender();

        $cmpList = array();
        $counter = 0;
        $questionCount = count($this->feed);

        foreach ( $this->feed as $question )
        {
            $bubbleActivity = $this->bubbleActivityList[$question->id];

            $counter++;
            $activityList = empty($this->activityList[$question->id])
                ? array()
                : $this->activityList[$question->id];

            $cmp = new QUESTIONSANSW_CMP_FeedItem($question, $bubbleActivity, $activityList);

            if ( $questionCount == $counter )
            {
                $cmp->setIsLastItem();
            }

            $cmpList[] = $cmp->render();
        }

        $this->assign('list', $cmpList);
    }
}
