<?php
class QUESTIONS_CMP_UserList extends BASE_CMP_FloatboxUserList
{
    public function __construct($optionId, $hiddenUsers)
    {
        $service = QUESTIONS_BOL_Service::getInstance();
        $userIds = $service->findAnsweredUserIdList($optionId);

        $userIds = array_diff($userIds, $hiddenUsers);

        parent::__construct($userIds);

        $this->setTemplate(OW::getPluginManager()->getPlugin('base')->getCmpViewDir() . 'floatbox_user_list.html');
    }
}